Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.crypto.engines
Class RijndaelEngine

    java.lang.Object
      org.bouncycastle.crypto.engines.RijndaelEngine

All Implemented Interfaces:
  BlockCipher

    public class RijndaelEngine

extends java.lang.Object
implements BlockCipher

an implementation of Rijndael, based on the documentation and reference implementation by Paulo Barreto, Vincent Rijmen, for v2.0 August '99.

Note: this implementation is based on information prior to final NIST publication.

Constructor Summary
`RijndaelEngine()` default constructor - 128 bit block size.
`RijndaelEngine(int blockBits)` basic constructor - set the cipher up for a given blocksize

Method Summary
`java.lang.String` `getAlgorithmName()` Return the name of the algorithm the cipher implements.
`int` `getBlockSize()` Return the block size for this cipher (in bytes).
`void` `init(boolean forEncryption, CipherParameters params)` initialise a Rijndael cipher.
`int` `processBlock(byte[] in, int inOff, byte[] out, int outOff)` Process one block of input from the array in and write it to the out array.
`void` `reset()` Reset the cipher.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RijndaelEngine

    public RijndaelEngine()

  default constructor - 128 bit block size.

### RijndaelEngine

    public RijndaelEngine(int blockBits)

  basic constructor - set the cipher up for a given blocksize

  Parameters:
    `blockBits` - the blocksize in bits, must be 128, 192, or 256.

Method Detail

### init

    public void init(boolean forEncryption,
                     CipherParameters params)

  initialise a Rijndael cipher.

  Specified by:
    `init` in interface `BlockCipher`
  Parameters:
    `forEncryption` - whether or not we are for encryption.
    `params` - the parameters required to set up the cipher.
  Throws:
    `java.lang.IllegalArgumentException` - if the params argument is inappropriate.

### getAlgorithmName

    public java.lang.String getAlgorithmName()

  Description copied from interface: `BlockCipher`
  Return the name of the algorithm the cipher implements.

  Specified by:
    `getAlgorithmName` in interface `BlockCipher`
  Returns:
    the name of the algorithm the cipher implements.

### getBlockSize

    public int getBlockSize()

  Description copied from interface: `BlockCipher`
  Return the block size for this cipher (in bytes).

  Specified by:
    `getBlockSize` in interface `BlockCipher`
  Returns:
    the block size for this cipher in bytes.

### processBlock

    public int processBlock(byte[] in,
                            int inOff,
                            byte[] out,
                            int outOff)

  Description copied from interface: `BlockCipher`
  Process one block of input from the array in and write it to the out array.

  Specified by:
    `processBlock` in interface `BlockCipher`
  Parameters:
    `in` - the array containing the input data.
    `inOff` - offset into the in array the data starts at.
    `out` - the array the output data will be copied into.
    `outOff` - the offset into the out array the output will start at.
  Returns:
    the number of bytes processed and produced.

### reset

    public void reset()

  Description copied from interface: `BlockCipher`
  Reset the cipher. After resetting the cipher is in the same state as it was after the last init (if there was one).

  Specified by:
    `reset` in interface `BlockCipher`

Bouncy Castle Cryptography Library 1.45